Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

index_uid
string
required

Unique identifier of the index.

document_id
string
required

The document identifier.

Query Parameters

fields
string[]

Comma-separated list of document attributes to include in the response. Use * to retrieve all attributes. By default, all attributes listed in the displayedAttributes setting are returned. Example: title,description,price.

retrieveVectors
boolean

When true, includes the vector embeddings in the response for this document. This is useful when you need to inspect or export vector data. Note that this can significantly increase response size if the document has multiple embedders configured. Defaults to false.

Response

The document is returned.